
# IDTec Core 🔐

**IDTec Core** is a Python-based cryptographic toolkit built for post-quantum security using the proprietary **IDTec-1024** algorithm and advanced ThreeFish encryption and SHAKE hashing. Designed for enterprises, developers, and researchers working in cybersecurity, defense, finance, and healthcare.

---

## 🚀 Features
- Key Exchange (RLWE)
- Threefish Encryption and Decryption
- Post-Quantum Encryption & Digital Signatures
- SHAKE-based secure hashing
- Cyclotomic Ideal Lattice Generation
- Efficient Sampling of Error Terms
- Lightweight CLI tools: `idtec-sign` and `idtec-encrypt`
- Compatible with GDPR, HIPAA, and NIST frameworks

---

## 📦 Installation

```bash
pip install idtec_core
